Bug 51678 - x11/wmdrawer uses transparent icon now
Summary: x11/wmdrawer uses transparent icon now
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-02 00:20 UTC by Josef El-Rayes
Modified: 2003-06-30 14:30 UTC (History)
0 users

See Also:


Attachments
wmdrawer.diff (3.44 KB, patch)
2003-05-02 00:20 UTC, Josef El-Rayes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Josef El-Rayes 2003-05-02 00:20:10 UTC
i replaced daemon icon with a transparent version. also did some minor fixes
(replaced patch with a reinplace line i.e.)
Comment 1 Tilman Keskinoz freebsd_committer 2003-05-09 16:21:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

i'll handle this
Comment 2 Tilman Keskinoz freebsd_committer 2003-05-09 16:28:57 UTC
Don't use hardcoded CFLAGS!

Ok, how about the following diff.
Additional Changes:

* USE_GETOPT_LONG
* Depend on gtk12 instead of gtk20, because gtk20 dependency was bogus. 
wmdrawer can be built with both, but you have to
set the USE_GDKPIXBUF Variables in the Makefile. Default is gtk12. I tried 
gtk20, but it failed, because of GError undeclared. You might want to try to
fix this.
* Improved the REINPLACE stuff.

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/x11/wmdrawer/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- Makefile	23 Apr 2003 12:39:51 -0000	1.5
+++ Makefile	9 May 2003 15:17:00 -0000
@@ -8,37 +8,39 @@
 
 PORTNAME=	wmdrawer
 PORTVERSION=	0.10.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	x11 windowmaker
 MASTER_SITES=	http://people.easter-eggs.org/~valos/wmdrawer/:tarball \
 		http://www.daemon.li/downloads/:pixmap
 DISTNAME=	${PORTNAME}-${PORTVERSION}
 DISTFILES=	${EXTRACT_ONLY}:tarball \
-		daemon.xpm:pixmap
+		daemon.png:pixmap
 EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	j.el-rayes@daemon.li
 COMMENT=	A dockapp which provides a drawer to launch applications
 
-LIB_DEPENDS=	gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
-
 USE_REINPLACE=	yes
+USE_GETOPT_LONG=yes
 USE_X_PREFIX=	yes
-USE_GNOME=	gtk20 gdkpixbuf
+USE_GNOME=	gtk12 gdkpixbuf
 USE_GMAKE=	yes
-CFLAGS+=	-I${LOCALBASE}/include `gdk-pixbuf-config --cflags`
-CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib -lgnugetopt `gdk-pixbuf-config 
--libs` -lgdk_pixbuf_xlib" DOCSDIR=${DOCSDIR}
+CONFIGURE_ENV+=	DOCSDIR=${DOCSDIR}
+MAKE_ENV+=	${CONFIGURE_ENV}
 
 MANCOMPRESSED=	yes
 MAN1=	wmdrawer.1x
 
 post-patch:
-	@${REINPLACE_CMD} -e "s,/usr/X11R6,${X11BASE},g" ${WRKSRC}/Makefile
-	@${REINPLACE_CMD} -e "s,$$[(]DESTDIR[)]/usr/local,${PREFIX},g" 
${WRKSRC}/Makefile
 	@${REINPLACE_CMD} -e "s,%%DATADIR%%,${DATADIR},g" 
${WRKSRC}/wmdrawerrc.example
+	@${REINPLACE_CMD} -e "s,CFLAGS = -O3,CFLAGS +=,g; \
+		s,LDFLAGS =,LDFLAGS+=,g; s,PREFIX =,#PREFIX =,g; \
+		s,$$[(]DESTDIR[)]/usr/local,${PREFIX},g; \
+		s,CC =,#CC =,g; \
+		s,/usr/X11R6,${X11BASE},g" ${WRKSRC}/Makefile
 
 post-install:
 	@${MKDIR} ${DATADIR}
-	${INSTALL_DATA} ${DISTDIR}/daemon.xpm ${DATADIR}
+	${INSTALL_DATA} ${DISTDIR}/daemon.png ${DATADIR}
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/x11/wmdrawer/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- distinfo	13 Apr 2003 12:55:42 -0000	1.3
+++ distinfo	9 May 2003 14:01:02 -0000
@@ -1,2 +1,2 @@
 MD5 (wmdrawer-0.10.0.tar.gz) = a12a8ffc04966bf7ddaba2c5ab6a6410
-MD5 (daemon.xpm) = 73f0efeba877d8c4b4cc863f1ef87bd5
+MD5 (daemon.png) = 06f903b8a644c8c523833747948b54eb
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/x11/wmdrawer/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	13 Apr 2003 12:55:42 -0000	1.2
+++ pkg-plist	9 May 2003 14:01:08 -0000
@@ -1,6 +1,5 @@
-share/wmdrawer/daemon.xpm
-@dirrm share/wmdrawer
 bin/wmdrawer
+%%DATADIR%%/daemon.png
 %%DOCSDIR%%/AUTHORS
 %%DOCSDIR%%/COPYING
 %%DOCSDIR%%/ChangeLog
@@ -9,3 +8,4 @@
 %%DOCSDIR%%/TODO
 %%DOCSDIR%%/wmdrawerrc.example
 @dirrm %%DOCSDIR%%
+@dirrm %%DATADIR%%
Index: files/patch-Makefile
===================================================================
RCS file: files/patch-Makefile
diff -N files/patch-Makefile
--- files/patch-Makefile	13 Apr 2003 12:55:42 -0000	1.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,30 +0,0 @@
---- Makefile.orig	Sun Apr 13 13:24:15 2003
-+++ Makefile	Sun Apr 13 13:25:41 2003
-@@ -9,7 +9,7 @@
- 
- DESTDIR =
- 
--PREFIX = $(DESTDIR)/usr/local
-+PREFIX = /usr/X11R6
- DOCDIR = $(PREFIX)/share/doc
- 
- USE_GDKPIXBUF = 1
-@@ -19,14 +19,14 @@
- 
- ifdef USE_GDKPIXBUF
- PIXBUF_DEF = -DUSE_GDKPIXBUF
--CFLAGS = -O3 -Wall `gdk-pixbuf-config --cflags`
--LDFLAGS = `gdk-pixbuf-config --libs` -lgdk_pixbuf_xlib
-+CFLAGS = -O -Wall `gdk-pixbuf-config --cflags`
-+LDFLAGS = -lgnugetopt `gdk-pixbuf-config --libs` -lgdk_pixbuf_xlib
- endif
- 
- ifdef USE_GDKPIXBUF2
- PIXBUF_DEF = -DUSE_GDKPIXBUF2
--CFLAGS = -O3  -Wall `pkg-config --cflags gdk-pixbuf-xlib-2.0` 
-I/usr/X11R6/include
--LDFLAGS = `pkg-config --libs gdk-pixbuf-xlib-2.0` -rdynamic -lX11 -lXi 
-lXext -L/usr/X11R6/lib
-+CFLAGS = -O  -Wall `pkg-config --cflags gdk-pixbuf-xlib-2.0` 
-I/usr/X11R6/include
-+LDFLAGS = -lgnugetopt `pkg-config --libs gdk-pixbuf-xlib-2.0` -rdynamic 
-lX11 -lXi -lXext -L/usr/X11R6/lib
- endif
- 
- DEFS += $(PIXBUF_DEF)
Index: files/patch-wmdrawerrc.example
===================================================================
RCS file: /home/ncvs/ports/x11/wmdrawer/files/patch-wmdrawerrc.example,v
retrieving revision 1.2
diff -u -r1.2 patch-wmdrawerrc.example
--- files/patch-wmdrawerrc.example	13 Apr 2003 12:55:42 -0000	1.2
+++ files/patch-wmdrawerrc.example	9 May 2003 14:01:08 -0000
@@ -1,11 +1,19 @@
---- wmdrawerrc.example.orig	Thu Apr 10 16:36:58 2003
-+++ wmdrawerrc.example	Thu Apr 10 16:38:54 2003
+--- wmdrawerrc.example.orig	Tue Apr  8 04:00:08 2003
++++ wmdrawerrc.example	Fri May  2 00:41:14 2003
 @@ -1,7 +1,7 @@
  # Config file example for wmdrawer
  [general]
  # Dock's icon [optional]
 -#dock_icon	panel-drawer.png
-+dock_icon	daemon.xpm
++dock_icon	daemon.png
  
  # Drawer's opening direction [required]
  # Top to bottom = 0
+@@ -75,6 +75,7 @@
+ [images_paths]
+ /usr/share/pixmaps
+ /usr/local/share/pixmaps/
++/usr/X11R6/share/wmdrawer
+ 
+ # A first column with 5 buttons
+ # Each button must be defined with this syntax:
Comment 3 Tilman Keskinoz freebsd_committer 2003-06-30 14:29:56 UTC
State Changed
From-To: open->closed

Committed,